import React from "react";
type Languages = {
    value: string;
    label: string;
}[];
interface SpellCheckLanguagesDropdownIProps {
    className: string;
    value: string;
    onOptionChange(language: string): void;
}
interface SpellCheckLanguagesDropdownIState {
    searchQuery: string;
    languages?: Languages;
}
export default class SpellCheckLanguagesDropdown extends React.Component<SpellCheckLanguagesDropdownIProps, SpellCheckLanguagesDropdownIState> {
    constructor(props: SpellCheckLanguagesDropdownIProps);
    componentDidMount(): void;
    private onSearchChange;
    render(): React.ReactNode;
}
export {};
